/***********************************************************************

	rtc.h
	
	real time clock module

	2013/7/16  S.Suwa http://www.suwa-koubou.jp	
***********************************************************************/

#ifndef _RTC_H
#define	_RTC_H

#include "GenericTypeDefs.h"

#define	lock_timer()	IEC0CLR=_IEC0_T1IE_MASK
#define unlock_timer()	IEC0SET=_IEC0_T1IE_MASK
#define	clear_timer()	IFS0CLR=_IFS0_T1IF_MASK

// in rtc.c 
void	rtc_init(void);
void	set_rtcstr(char *date_time);
char   *get_rtcstr(char *buf);
void	set_rtc(char data[]);
void	get_rtc(char data[]);
DWORD	get_fattime (void);
void	set_fattime(void);
void    adjust_time(char data[]);

extern	DWORD volatile AplTimer1;      // in rtc.c
extern	DWORD volatile AplTimer2;      // in rtc.c
extern  int   volatile UpdateMinutes;  // in rtc.c
extern  int   volatile isRtcAdjust;    // in rtc.c
extern  void  disk_timerproc (void);   // in mmc.c

#endif
